if not exists (select * FROM sys.syscolumns where name = 'UserID' AND id = object_id(N'dbo.UserProfile')) BEGIN
  alter table dbo.UserProfile ADD UserID uniqueidentifier NOT NULL
END;

if exists (select * FROM sys.syscolumns where name = 'Email' AND id = object_id(N'dbo.UserProfile')) BEGIN
  alter table dbo.UserProfile ALTER COLUMN Email Varchar(100) null
END;